package com.iamberry.wechat.face.mq;

import java.util.List;

import com.iamberry.wechat.core.entity.mq.MQMessage;

/**
 * @author:何秀刚
 * @description: 模拟消息队列服务器，持久化到DB
 * @createDate:2016年5月25日
 */
public interface MQSerivce {

	/**
	 * select wait handler message.
	 * @return
	 */
	public List<MQMessage> selectWaitHandlerMessage();

	/**
	 * batch update Message.
	 * @param messages
	 * @return
	 */
	public Integer updateBatchMessage(List<MQMessage> messages);
	
	/**
	 * insert one MQMessage.
	 * @param message
	 * @return
	 */
	public boolean insertMQMessage(MQMessage message);
	
	/**
	 * update One Message
	 * @param message
	 * @return
	 */
	public boolean updateMessageOne(MQMessage message);
	
	/**
	 * insert into one message Contain error info
	 * @param message
	 * @return
	 */
	public Integer insertOneMQMessageContainError(MQMessage message);
}
